## Class TBaseActiveControl

Description

TBaseActiveControl class provided additional basic property for every active control. An instance of TBaseActiveControl or its decendent TBaseActiveCallbackControl is created by TActiveControlAdapter::getBaseActiveControl() method.

The EnableUpdate property determines wether the active control is allowed to update the contents of the client-side when the callback response returns.

- since: 3.1
- version: $Id: TBaseActiveControl.php 1798 2007-03-30 08:49:15Z wei $
- author: Wei Zhuo <weizhuo[at]gamil[dot]com>

Located in /Web/UI/ActiveControls/TBaseActiveControl.php (line 30)

    TComponent
       |
       --TBaseActiveControl

Direct descendents

Class | Description
--- | ---
TBaseActiveCallbackControl | TBaseActiveCallbackControl is a common set of options and functionality for active controls that can perform callback requests.

Method Summary
TBaseActiveControl __construct (TControl $control)
boolean canUpdateClientSide ()
TControl getControl ()
boolean getEnableUpdate ()
mixed getOption (string $name, [mixed $default = null])
TMap getOptions ()
TPage getPage ()
void setEnableUpdate (boolean $value)
mixed setOption (string $name, mixed $value, [mixed $default = null])
Methods
Constructor __construct (line 45)

Constructor. Attach a base active control to an active control instance.

- access: public

TBaseActiveControl __construct (TControl $control)

- TControl $control: active control

canUpdateClientSide (line 127)

Returns true if callback response is allowed to update the browser contents.

Is is true if the control is initilized, and is a callback request and the EnabledUpdate property is true and the page is not loading post data.

- return: true if the callback response is allowed update client-side contents.
- access: public

boolean canUpdateClientSide ()
getControl (line 98)

- return: the attached control.
- access: protected

TControl getControl ()
getEnableUpdate (line 114)

- return: true to allow fine grain callback updates.
- access: public

boolean getEnableUpdate ()
getOption (line 73)

Gets an option named value. Options are used to store and retrive named values for the base active controls.

- return: options value.
- access: protected

mixed getOption (string $name, [mixed $default = null])

- string $name: option name.
- mixed $default: default value.

getOptions (line 82)

- return: active control options
- access: protected

TMap getOptions ()
getPage (line 90)

- return: the page containing the attached control.
- access: protected

TPage getPage ()
setEnableUpdate (line 106)

- access: public

void setEnableUpdate (boolean $value)

- boolean $value: true to allow fine grain callback updates.

setOption (line 59)

Sets a named options with a value. Options are used to store and retrive named values for the base active controls.

- return: options value.
- access: protected

mixed setOption (string $name, mixed $value, [mixed $default = null])

- string $name: option name.
- mixed $value: new value.
- mixed $default: default value.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:31:05 -0400 by phpDocumentor 1.3.0RC4